unit formmain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, IPPeerClient,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param,
  FireDAC.Stan.Error, FireDAC.DatS, FireDAC.Phys.Intf, FireDAC.DApt.Intf,
  Data.Bind.EngExt, Fmx.Bind.DBEngExt, System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.Components, FMX.StdCtrls, FMX.Edit,
  FMX.Controls.Presentation, Data.Bind.DBScope, FMX.Layouts, FMX.ListBox,
  REST.Response.Adapter, Data.DB, FireDAC.Comp.DataSet, FireDAC.Comp.Client,
  REST.Client, Data.Bind.ObjectScope, FMX.Grid.Style, Fmx.Bind.Grid,
  Data.Bind.Grid, FMX.ScrollBox, FMX.Grid;

type
  TForm1 = class(TForm)
    RESTClient1: TRESTClient;
    CustomerRequest: TRESTRequest;
    CustomerResponse: TRESTResponse;
    CustomerTable: TFDMemTable;
    CustomerAdaptor: TRESTResponseDataSetAdapter;
    ListBox1: TListBox;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    Panel1: TPanel;
    Panel2: TPanel;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    LinkControlToField1: TLinkControlToField;
    LinkControlToField2: TLinkControlToField;
    LinkListControlToField1: TLinkListControlToField;
    StringGrid1: TStringGrid;
    SalesRequest: TRESTRequest;
    SalesResponse: TRESTResponse;
    SalesAdaptor: TRESTResponseDataSetAdapter;
    SalesTable: TFDMemTable;
    BindSourceDB2: TBindSourceDB;
    LinkGridToDataSourceBindSourceDB2: TLinkGridToDataSource;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.FormCreate(Sender: TObject);
begin
  CustomerRequest.Execute;
  SalesRequest.Resource := 'sales/'+IntToStr(CustomerTable.FieldByName('CUST_NO').AsInteger);
  SalesRequest.Execute;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  SalesRequest.Resource := 'sales/'+IntToStr(CustomerTable.FieldByName('CUST_NO').AsInteger);
  SalesRequest.Execute;
end;

end.
